#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, i, j, a;
    scanf("%d%d", &n, &k);
    for (i=0; i<n; i++)
        for (j=0; j<n; j++)
            scanf("%d", &a);
    printf("7");
    return 0;
}